Subject: Re: Anyone using "PowerPC" little-endian mode?

From: Brad Boyer <[email-masked]>
Date: Sat, 12 Jun 2010 23:37:16 -0700

On Thu, Jun 03, 2010 at 06:25:01AM -0600, Gary Thomas wrote:
> I don't know about today, but my recollection is that the only
> use of little-endian mode on PowerPC was during the early days
> attempt to run Windows-NT.

You could potentially hit this case by running Mac on Linux. A handful
of Mac programs (like early versions of VirtualPC) used this mode. Any
that did had to get fixed to run on a PowerMac G5, obviously. I haven't
personally tried this, and I wouldn't be shocked to find that MoL
chokes on this case for some other reason.

I do know that VirtualPC did this because it was G3/G4 only for a while
until they rewrote it to not use the little-endian mode.

	Brad Boyer
	[email-masked]